## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate navi

Name:           rust-navi
Version:        2.20.1
Release:        %autorelease
Summary:        Interactive cheatsheet tool for the command-line

License:        Apache-2.0
URL:            https://crates.io/crates/navi
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * temporarily downgrade crossterm dependency from 0.23 to 0.22
Patch:          navi-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
An interactive cheatsheet tool for the command-line.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# CC0-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND CC0-1.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown
Requires:       fzf

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/navi

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-command-execution-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-command-execution-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-command-execution" feature of the "%{crate}" crate.

%files       -n %{name}+disable-command-execution-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-repo-management-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-repo-management-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-repo-management" feature of the "%{crate}" crate.

%files       -n %{name}+disable-repo-management-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 2.20.1-8
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 2.20.1-6
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 2.20.1-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.20.1-1
- Update to version 2.20.1; Fixes RHBZ#2088337

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Joel Capitao <jcapitao@redhat.com> - 2.16.0-3
- Fix fzf dependency

* Thu Jun 24 10:32:37 CEST 2021 jbtrystram <jbtrystram@redhat.com> - 2.16.0-2
- Add requires for fzf

* Fri Apr 23 12:26:37 CEST 2021 jbtrystram <jbtrystram@redhat.com> - 2.16.0-1
- Initial package

## END: Generated by rpmautospec
